
package de.ivu.elect.business.wahl.boundary;

import java.io.Serializable;

import de.ivu.elect.business.wahl.entity.Wahl;

import de.ivu.elect.jee.entity.customdata.DefaultCustomData;


/**
 * Diese Klasse liefert nur eine leere Instanz, für konkrete Implementierungen überschreiben
 */
public class WahlFactory implements Serializable {

  private static final long serialVersionUID = 1L;


  public Wahl create() {
        Wahl entity = new Wahl(
              createCustomData()
          );

    initDefaultAttributes(entity);

    return entity;
  }



  public void initDefaultAttributes(Wahl entity) {
    // Do nothing.
  }

  public DefaultCustomData createCustomData() {
        return de.ivu.elect.jee.entity.customdata.EmptyCustomData.INSTANCE;
      }
}
